Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163791 - php-pear PEAR.php exhausting memory
Summary: php-pear PEAR.php exhausting memory
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://xulchris.dyndns.org/example3.php
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 04:01 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 02:24:47 UTC


Attachments (Terms of Use)
Sample PHP file. (deleted)
2005-07-21 04:01 UTC, Christopher Stone
no flags Details

Description Christopher Stone 2005-07-21 04:01:34 UTC
Description of problem:  When loading the PEAR.php class, memory gets exhausted.
 I have created an example php script at:
http://xulchris.dyndns.org/example3.php  You will need to reload this page
several times to see the effect.  Each reload produces different error messages.


Version-Release number of selected component (if applicable):
php-pear-5.0.4-10.3


How reproducible:
load http://xulchris.dyndns.org/example3.php and click reload a bunch of times.
 The page should display sample source code and an error message.

Steps to Reproduce:
1.  Seems somewhat random
2.  The URL provided above seems to trigger the error quite frequently

  
Actual results:
Memory leak in php?

Expected results:
no memory exhausting errors

Additional info:

Comment 1 Christopher Stone 2005-07-21 04:01:34 UTC
Created attachment 117009 [details]
Sample PHP file.

Comment 2 Joe Orton 2005-07-22 09:08:15 UTC
If you meant to close this please provide a comment!


Note You need to log in before you can comment on or make changes to this bug.